#
# spec file for package python-graphene
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-graphene
Version:        3.2.1
Release:        3.1
Summary:        GraphQL Framework for Python
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/graphql-python/graphene
Source:         https://github.com/graphql-python/graphene/archive/v%{version}.tar.gz#/graphene-%{version}.tar.gz
BuildRequires:  %{python_module aniso8601 >= 8}
BuildRequires:  %{python_module graphql-core >= 3.1}
BuildRequires:  %{python_module graphql-relay >= 3.1}
BuildRequires:  %{python_module promise}
BuildRequires:  %{python_module pytest-asyncio}
BuildRequires:  %{python_module pytest-benchmark}
BuildRequires:  %{python_module pytest-mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module pytz}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-aniso8601 >= 8
Requires:       python-graphql-core >= 3.1
Requires:       python-graphql-relay >= 3.1
BuildArch:      noarch
%python_subpackages

%description
Graphene is a Python library for building GraphQL schemas/types.

%prep
%setup -q -n graphene-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# The example depend on snapshottest, which is a bit messy to package as of v0.5.1
# https://github.com/syrusakbary/snapshottest/issues/92
%pytest --ignore examples

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*graphene*/

%changelog
* Thu Jul  6 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Thu Mar 16 2023 pgajdos@suse.com
- python-six is not required
* Thu Jan  5 2023 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 3.2.1
  * What's Changed
  Non-required InputFields and Arguments can now be marked as deprecated by passing the deprecation_reason keyword argument to the constructor.
  Complete deprecated fields and arguments support by @vhutov in #1472
* Wed Oct 12 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 3.1.1
  * Refer changelog  https://github.com/graphql-python/graphene/releases
* Wed Aug 10 2022 Markéta Machová <mmachova@suse.com>
- Update to version 3.1.0
  * Refactor Multi Expression Code
  * Add Python 3.9 and 3.10 to the test matrix
  * fix: default value for argument should be Undefined (Issue #1394)
  * fix: add default param _variables to parse_literal #1419
  * Make Graphene compatible with GraphQL-Core 3.2
* Mon Mar 21 2022 pgajdos@suse.com
- actually does not require python-mock for build
* Tue Jan 11 2022 John Vandenberg <jayvdb@gmail.com>
- Skip two tests with different output on Python 3.10
- Update to v3.0.0
  * See https://github.com/graphql-python/graphene/wiki/v3-release-notes
* Mon Jan 25 2021 John Vandenberg <jayvdb@gmail.com>
- Adjust test invocation to fix builds
- Remove dependency on Unidecode and add minimum dependency versions
- Update to v3.0.0b7
  * fix(Decimal): parse integers as decimal
- from v3.0.0b6
  * Fix subscribe with arguments
  * Add BigInt type
  * Add UnforgivingExecutionContext
- from v3.0.0b5
  * Subscription revamp
- from v3.0.0b4
  * Improve enum compatibility
  * Rename variables called type to type_
  * Fix ObjectType meta arguments
  * Add Base64 scalar
  * Pin graphql-core to >v3.1.2
- from v3.0.0b3
  * Fix DateTime Scalar parse_literal methods
  * Remove to_const function
* Mon Jun  8 2020 Jan Engelhardt <jengelh@inai.de>
- Trim conjecture from descriptions.
* Sat Jun  6 2020 John Vandenberg <jayvdb@gmail.com>
- Update to 3.0.0b2
* Wed Dec  4 2019 Andreas Hasenkopf <ahasenkopf@suse.com>
- New package for v2.1.8
